Browse Source

update from global requirements and up version for master

Change-Id: Ie426484642bfe9b878f7257d9b9c3986e680b804
tags/3.0.0
Andrey Pavlov 3 years ago
parent
commit
604fd639af
4 changed files with 75 additions and 40 deletions
  1. 29
    29
      requirements.txt
  2. 1
    1
      setup.cfg
  3. 10
    10
      test-requirements.txt
  4. 35
    0
      tools/update-from-global-requirements.sh

+ 29
- 29
requirements.txt View File

@@ -1,31 +1,31 @@
1
-Babel>=1.3
2
-boto>=2.32.1
3
-botocore>=1.0.0  # Apache-2.0
4
-eventlet>=0.17.4
5
-greenlet>=0.3.2
6
-httplib2>=0.7.5
7
-lxml>=2.3
8
-oslo.config>=2.6.0  # Apache-2.0
9
-oslo.concurrency>=2.3.0         # Apache-2.0
10
-oslo.context>=0.2.0                     # Apache-2.0
11
-oslo.db>=3.2.0  # Apache-2.0
12
-oslo.log>=1.12.0  # Apache-2.0
13
-oslo.messaging>2.6.1,!=2.8.0 # Apache-2.0
1
+Babel>=1.3,!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3  # BSD
2
+boto>=2.32.1  # MIT
3
+botocore>=1.0.0 # Apache-2.0
4
+eventlet!=0.18.3,>=0.18.2  # MIT
5
+greenlet>=0.3.2  # MIT
6
+httplib2>=0.7.5  # MIT
7
+lxml>=2.3  # BSD
8
+oslo.config>=3.9.0  # Apache-2.0
9
+oslo.concurrency>=3.5.0         # Apache-2.0
10
+oslo.context>=2.2.0                     # Apache-2.0
11
+oslo.db>=4.1.0  # Apache-2.0
12
+oslo.log>=1.14.0  # Apache-2.0
13
+oslo.messaging>=4.5.0 # Apache-2.0
14 14
 oslo.serialization>=1.10.0              # Apache-2.0
15 15
 oslo.service>=1.0.0                     # Apache-2.0
16
-oslo.utils>=2.8.0                       # Apache-2.0
17
-Paste
18
-PasteDeploy>=1.5.0
19
-pbr>=1.6
20
-python-cinderclient>=1.3.1
21
-python-glanceclient>=0.18.0
22
-python-keystoneclient>=1.6.0,!=1.8.0
23
-python-neutronclient>=2.6.0
24
-python-novaclient>=2.29.0,!=2.33.0
25
-python-openstackclient>=1.5.0
26
-Routes>=1.12.3,!=2.0,!=2.1;python_version=='2.7'
27
-Routes>=1.12.3,!=2.0;python_version!='2.7'
28
-six>=1.9.0
29
-SQLAlchemy>=0.9.9,<1.1.0
30
-sqlalchemy-migrate>=0.9.6
31
-WebOb>=1.2.3
16
+oslo.utils>=3.5.0                       # Apache-2.0
17
+Paste  # MIT
18
+PasteDeploy>=1.5.0  # MIT
19
+pbr>=1.6  # Apache-2.0
20
+python-cinderclient>=1.6.0  # Apache-2.0
21
+python-glanceclient>=2.0.0  # Apache-2.0
22
+python-keystoneclient>=1.6.0,!=1.8.0,!=2.1.0  # Apache-2.0
23
+python-neutronclient>=4.2.0  # Apache-2.0
24
+python-novaclient>=2.29.0,!=2.33.0  # Apache-2.0
25
+python-openstackclient>=2.1.0  # Apache-2.0
26
+Routes>=1.12.3,!=2.0,!=2.1,!=2.3.0;python_version=='2.7'  # MIT
27
+Routes>=1.12.3,!=2.0,!=2.3.0;python_version!='2.7'  # MIT
28
+six>=1.9.0  # MIT
29
+SQLAlchemy>=1.0.10,<1.1.0  # MIT
30
+sqlalchemy-migrate>=0.9.6  # Apache-2.0
31
+WebOb>=1.2.3  # MIT

+ 1
- 1
setup.cfg View File

@@ -1,6 +1,6 @@
1 1
 [metadata]
2 2
 name = ec2-api
3
-version = 2.0.0
3
+version = 3.0.0
4 4
 summary = OpenStack Ec2api Service
5 5
 description-file =
6 6
     README.rst

+ 10
- 10
test-requirements.txt View File

@@ -1,11 +1,11 @@
1
-coverage>=3.6
2
-fixtures>=1.3.1
3
-hacking>=0.10.2,<0.11
4
-mock>=1.2
5
-nose
1
+coverage>=3.6  # Apache-2.0
2
+fixtures>=1.3.1,<2.0  # Apache-2.0/BSD
3
+hacking>=0.10.2,<0.11  # Apache-2.0
4
+mock>=1.2  # BSD
5
+nose  # LGPL
6 6
 oslotest>=1.10.0  # Apache-2.0
7
-pylint==1.4.4  # GNU GPL v2
8
-python-subunit>=0.0.18
9
-sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3
10
-testrepository>=0.0.18
11
-testtools>=1.4.0
7
+pylint==1.4.5  # GNU GPL v2
8
+python-subunit>=0.0.18  # Apache-2.0/BSD
9
+sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3  # BSD
10
+testrepository>=0.0.18  # Apache-2.0/BSD
11
+testtools>=1.4.0  # MIT

+ 35
- 0
tools/update-from-global-requirements.sh View File

@@ -0,0 +1,35 @@
1
+#!/bin/bash
2
+# Copyright (c) 2016 OpenStack Foundation
3
+# All Rights Reserved.
4
+#
5
+#    Licensed under the Apache License, Version 2.0 (the "License"); you may
6
+#    not use this file except in compliance with the License. You may obtain
7
+#    a copy of the License at
8
+#
9
+#         http://www.apache.org/licenses/LICENSE-2.0
10
+#
11
+#    Unless required by applicable law or agreed to in writing, software
12
+#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
13
+#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
14
+#    License for the specific language governing permissions and limitations
15
+#    under the License.
16
+
17
+GLOBAL_REQS_PATH=${1:-$HOME/openstack/requirements/global-requirements.txt}
18
+
19
+function update() {
20
+  rm -f temp-requirements.txt
21
+  touch temp-requirements.txt
22
+  while read line ; do
23
+    local module=`echo $line | sed 's/\([.A-Za-z0-9\-]*\)[ ><!=\t]*.*/\1/'`
24
+    local newm=`grep -e "^$module[ ><!=\t]" $GLOBAL_REQS_PATH`
25
+    if ! grep "$newm" temp-requirements.txt >/dev/null ; then
26
+      echo "$newm" >> temp-requirements.txt
27
+    fi
28
+  done < $1
29
+  mv temp-requirements.txt $1
30
+}
31
+
32
+echo "Update requirements"
33
+update requirements.txt
34
+echo "Update test-requirements"
35
+update test-requirements.txt

Loading…
Cancel
Save